Preparing a new release gpgme-1.1.3 gpgme-1.1.4
authorWerner Koch <wk@gnupg.org>
Mon, 5 Mar 2007 10:56:31 +0000 (10:56 +0000)
committerWerner Koch <wk@gnupg.org>
Mon, 5 Mar 2007 10:56:31 +0000 (10:56 +0000)
ChangeLog
NEWS
autogen.sh
configure.ac

index 340b76d..402a885 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,6 +1,14 @@
+2007-03-05  Werner Koch  <wk@g10code.com>
+
+       Released 1.1.4.
+
+       * configure.ac (LIBGPGME_LT_REVISION): Bump for release.
+
+       * autogen.sh: New option --force.
+
 2007-01-29  Marcus Brinkmann  <marcus@g10code.de>
 
-       Released 1.1.3.
+       Released 1.1.3.
        
        * configure.ac (LIBGPGME_LT_REVISION): Bump for release.
 
diff --git a/NEWS b/NEWS
index f0f07fa..ee92d42 100644 (file)
--- a/NEWS
+++ b/NEWS
@@ -1,7 +1,10 @@
-Noteworthy changes in version 1.1.4
+Noteworthy changes in version 1.1.4 (2007-03-05)
 ------------------------------------------------
 
- * Detect and bail out on double plaintext messages.
+ * Detect and bail out on double plaintext messages.  This is required
+   so that applications can properly detect the signed parts of a
+   message.  Actual there is now a double protection as GnuPG 1.4.7
+   will detect this case too.
 
 
 Noteworthy changes in version 1.1.3 (2007-01-29)
index bad5cab..5650a69 100755 (executable)
@@ -30,6 +30,11 @@ check_version () {
 
 
 DIE=no
+FORCE=
+if test "$1" == "--force"; then
+  FORCE=" --force"
+  shift
+fi
 
 # Used to cross-compile for Windows.
 if test "$1" = "--build-w32"; then
@@ -151,7 +156,7 @@ echo "Running autoheader..."
 $AUTOHEADER
 echo "Running automake --gnu ..."
 $AUTOMAKE --gnu;
-echo "Running autoconf..."
-$AUTOCONF
+echo "Running autoconf${FORCE} ..."
+$AUTOCONF${FORCE}
 
 echo "You may now run \"./configure --enable-maintainer-mode && make\"."
index 63be068..3c10ab4 100644 (file)
@@ -36,7 +36,7 @@ min_automake_version="1.9.3"
 # for snapshot releases please do an "svn up" right before recreating
 # the configure script, so that a proper revision number for all files
 # is available when running a "make distcheck".
-m4_define(my_version, [1.1.3])
+m4_define(my_version, [1.1.4])
 #m4_define(my_iscvs, yes)
 AC_INIT([gpgme], my_version[]m4_ifdef([my_iscvs], [-cvs[]m4_translit(
                [$Revision$],[Ra-z $:])]),
@@ -52,7 +52,7 @@ LIBGPGME_LT_CURRENT=17
 # Subtract 2 from this value if you want to make the LFS transition an
 # ABI break.  [Note to self: Remove this comment with the next regular break.]
 LIBGPGME_LT_AGE=6
-LIBGPGME_LT_REVISION=2
+LIBGPGME_LT_REVISION=3
 
 # If the API is changed in an incompatible way: increment the next counter.
 GPGME_CONFIG_API_VERSION=1